VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "cS2DmdTexturePool"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Private Declare Function SMOKI2DMD_LoadTextureFromFile Lib "smoki2dmd.dll" (ByVal FileName As String) As Long

Public Function LoadTextureFromFile(File As String) As Integer
    
    LoadTextureFromFile = SMOKI2DMD_LoadTextureFromFile(File)
    
End Function
